Ad Campaign Group Adsets
Updated: May 23, 2019
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Edge query from Ad Campaign to Ad Sets
Example
GET /v25.0/<AD_CAMPAIGN_ID>/adsets?fields=name%2Cstart_time%2Cend_time%2Cdaily_budget%2Clifetime_budget HTTP/1.1 Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
date_presetenum{today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year} |
Preset date range used to aggregate insights metrics
|
effective_statuslist<enum{ACTIVE, PAUSED, DELETED, PENDING_REVIEW, DISAPPROVED, PREAPPROVED, PENDING_BILLING_INFO, CAMPAIGN_PAUSED, ARCHIVED, ADSET_PAUSED, IN_PROCESS, WITH_ISSUES}> |
Filter adsets by effective status
|
is_completedboolean |
Filter adsets by completed status
|
time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
Time range used to aggregate insights metrics
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdSet nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
insightsEdge<AdsInsights> |
An analytics summary result for an Ad object
|
total_countunsigned int32 |
Total number of ad objects returned by the query
default |
Error Codes
| Error Code | Description |
|---|---|
613 | Calls to this api have exceeded the rate limit. |
100 | Invalid parameter |
200 | Permissions error |
3018 | The start date of the time range cannot be beyond 37 months from the current date |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
190 | Invalid OAuth 2.0 Access Token |
104 | Incorrect signature |
2635 | You are calling a deprecated version of the Ads API. Please update to the latest version. |
2500 | Error parsing graph query |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.